%global uname	bladeRF
%global docver	1.7.2
#global rcver	rc1

Name:		bladerf
Version:	2016.06
Release:	1%{?dist}
Summary:	A Software Defined Radio (SDR) platform

License:	GPLv2+
URL:		http://nuand.com/
Source0:	https://github.com/Nuand/%{uname}/archive/%{uname}-%{version}%{?rcver:-%{rcver}}.tar.gz
Source1:	https://github.com/Nuand/%{uname}/releases/download/%{version}/lib%{uname}-v%{docver}-doc.tar.bz2
Patch0:		bladeRF-2016.06-mga-udev_rules_Makefile.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:  doxygen, pandoc, help2man
Provides:	%{uname} = %{version}-%{release}
Provides:	%{uname}%{?_isa} = %{version}-%{release}
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}

%description
%{uname} is a Software Defined Radio (SDR) platform designed to enable a
community of hobbyists, and professionals to explore and experiment with the
multidisciplinary facets of RF communication.

%package libs
Summary:	Library files for %{uname}

%description libs
bladerf library files.

%package devel
Summary:	Development files for %{uname}

Requires:	%{name}-libs%{?_isa} = %{version}-%{release}
Provides:	%{uname}-devel = %{version}-%{release}
Provides:	%{uname}-devel%{?_isa} = %{version}-%{release}

%description devel
Files needed to develop software against libbladerf.

%package doc
Summary:	HTML documentation for %{uname}

BuildArch:	noarch
Provides:	%{uname}-doc = %{version}-%{release}

%description doc
HTML documentation for %{uname}

%prep
%setup -q -a 1 -n %{uname}-%{version}%{?rcver:-%{rcver}}
%autopatch -p1

%build
mkdir build
cd build
%cmake ../host -DBUILD_DOCUMENTATION=ON -DTAGGED_RELEASE=Yes -DVERSION_INFO_EXTRA=""
%make_build

%install
%make_install -C build

mkdir -p %{buildroot}%{_udevrulesdir}
mv %{buildroot}%{_sysconfdir}/udev/rules.d/88-nuand.rules %{buildroot}%{_udevrulesdir}/88-nuand.rules

#Documentation and desktop file
mkdir -p %{buildroot}%{_docdir}/%{name}/html/
cp -r lib%{uname}-v%{docver}-doc/* %{buildroot}%{_docdir}/%{name}/html


%files
%license COPYING
%doc CONTRIBUTORS README.md
%{_udevrulesdir}/88-nuand.rules
%{_bindir}/%{uname}-cli
%{_mandir}/man1/%{uname}-cli.1*

%files libs
%license COPYING
%{_libdir}/lib%{uname}.so.*

%files devel
%{_includedir}/lib%{uname}.h
%{_libdir}/pkgconfig/lib%{uname}.pc
%{_libdir}/lib%{uname}.so

%files doc
%license COPYING
%{_docdir}/%{name}/html


%changelog
* Sun Dec 04 2016 Franklyn Ballentine, Jr. <fballjr@fedoraproject.org> - 2016.06-1
- Adapt from Mageia package for Fedora
- Add man page

* Sun Sep 04 2016 Barry Jackson <barjac@mageia.org> 2016.06-1.mga6
+ Revision: 1050045
- new full version 2016-06
- re-diff makefile patch

* Fri Jul 15 2016 Barry Jackson <barjac@mageia.org> 2016.01-0.rc1.2.mga6
+ Revision: 1042173
- fix for Mga#18949 (bladerf systemd-udevd : specified group plugdev unknown

* Mon Jan 11 2016 Barry Jackson <barjac@mageia.org> 2016.01-0.rc1.1.mga6
+ Revision: 921526
- new version 2016.01-rc1

* Wed Aug 26 2015 Barry Jackson <barjac@mageia.org> 2015.07-1.mga6
+ Revision: 870064
- new version 2015.07

* Fri Jan 16 2015 Barry Jackson <barjac@mageia.org> 2014.11-1.mga5
+ Revision: 810965
- Import package bladerf
